
QGIS Application - Bug report #2933

KML export: Field values are shifted into <description> and <name>

2010-08-09 05:13 PM - Volker Fröhlich

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12993

Description

Using QGIS' "Save Vector Layer as" produces undesired results. Whilst the schema definition looks good, the first two columns' content is

shoved into <description> and <name>. You also run into data type problems therefore. A random message from a mailing list claimed

similar problems and the writer was told, he used the API wrong. Sadly I couldn't figure out, how to use it correctly!

I also converted with ogr2ogr and the output looks correct. But neither file shows the correct attributes in QGIS. That might be related.

The included shapefile is the source of conversion. ogr.kml and qgis.kml are the conversions.

GDAL version is 1.6.8.

Associated revisions

Revision e34de816 - 2010-08-11 10:09 PM - Jürgen Fischer

fix #2933

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14066 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 36c894c0 - 2010-08-11 10:09 PM - Jürgen Fischer

fix #2933

git-svn-id: http://svn.osgeo.org/qgis/trunk@14066 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-08-09 05:23 PM - Volker Fröhlich

GDAL 1.6.1, sorry!

#2 - 2010-08-11 01:09 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:36c894c0 (SVN r14067).
Files

qgis.kml 2.64 KB 2010-08-09 Volker Fröhlich

ogr.kml 2.58 KB 2010-08-09 Volker Fröhlich

timepoints.tar.gz 662 Bytes 2010-08-09 Volker Fröhlich
